<?php
	@require_once ('./includes/class.redis.php');
	@require_once ('./includes/funct.register.php');
	
	function		account_getAllInformation($redis, $accout_uid)
	{
		$retval['uid'] = intval($accout_uid);
		$retval['createtime'] = $redis->get('uid::'.$retval['uid'].'::createtime');
		$retval['login'] = $redis->get('uid::'.$retval['uid'].'::login');
		$retval['fullname'] = $redis->get('uid::'.$retval['uid'].'::fullname');
		$retval['email'] = $redis->get('uid::'.$retval['uid'].'::email');
		$retval['avatar'] = $redis->get('uid::'.$retval['uid'].'::avatar');
		return ($retval);
	}
	
	function		account_updateAllInformation($redis, $account_uid, $fullname, $email, $avatar, $password_old, $password_new)
	{
		@session_start();
		$_SESSION['error'] = '';
		$password_new = trim($password_new);
		$password_old = trim($password_old);
		$email = trim($email);
		$avatar = trim($avatar);
		$fullname = trim($fullname);
		$fullname = @eregi_replace("[^A-Za-z0-9\ \-]", '', $fullname);
		$account_uid = intval($account_uid);
		$old_email = $redis->get('uid::'.$account_uid.'::email');
		$old_avatar = $redis->get('uid::'.$account_uid.'::avatar');
		
		if (strlen($old_email) <= 3)
			return (false);

		if (strlen($password_new) > 3) {
			if (sha1($password_old) == $redis->get('uid::'.$account_uid.'::password'))
				$redis->set('uid::'.$account_uid.'::password', sha1($password_new));
			else
				$_SESSION['error'] .= '<li>Old Password don\'t match</li>';
		}
		if (register_emailIsValid($email) === true) {
			if (strtolower($old_email) != strtolower($email))
				if (register_emailIsFree($redis, $email) === true) {
					$redis->rename('account::'.$old_email.'::uid', 'account::'.strtolower($email).'::uid');
					$redis->set('uid::'.$account_uid.'::email', $email);
				}
				else
					$_SESSION['error'] .= '<li>Email '.htmlentities($email).' used by another account</li>';
		}
		else
			$_SESSION['error'] .= '<li>Email is invalid</li>';

		if (strlen($fullname) > 2) {
			$redis->set('uid::'.$account_uid.'::fullname', $fullname);
			$_SESSION['fullname'] = $fullname;
		}
		else
			$_SESSION['error'] .= '<li>Full name too short</li>';

		if (strlen($avatar) > 2) {
			$redis->set('uid::'.$account_uid.'::avatar', $avatar);
			$_SESSION['avatar'] = $avatar;
		}
		else if ($old_avatar != $avatar)
			$_SESSION['error'] .= '<li>bad avatar URL</li>';

		return (true);
	}
	
	function		account_checkToken($redis, $token)
	{
		$token = trim($token);
		if ($token == '')
			return (0);
		$uid = $redis->get('resetpass::'.$token);
		return ($uid);
	}
	
	function		account_generatePasswordResetToken($redis, $email)
	{
		$email = trim($email);

		if (register_emailIsValid($email) === true &&
			register_emailIsFree($redis, $email) === false) {
			$uid = $redis->get('account::'.strtolower($email).'::uid');
			if ($uid == 0)
				return (false);
			
			while (1) {
				$token = crypt('Token::'.time().sha1($email).md5($uid).mt_rand());
				$token = str_replace('$', '', $token);
				$token = str_replace('/', '', $token);
				$token = str_replace('\\', '', $token);
				$token = str_replace('.', '', $token);
				if ($redis->get('resetpass::'.$token) <= 0) {
					$redis->set('resetpass::'.$token, intval($uid));
					$redis->expire('resetpass::'.$token, 3600 * 12);
					break;
				}
			}
			return ($token);
		}
		else
			return (false);
	}
?>

