<?php
	@include_once ('./includes/class.redis.php');
	
	function		message_saveMessage($redis, $author_id, $msg)
	{
		$author_id = intval($author_id);
		$msg = strip_tags($msg);
		$msg = substr($msg, 0, 150);
		$msg = trim($msg);
		
		if (strlen($msg) <= 1)
			return (false);
		$msgID = $redis->incr('global::PostId');
		try {
			/* Save my message */
			$redis->set('post::'.$msgID, $author_id.'|'.time().'|'.$msg);
			$redis->lpush('uid::'.$author_id.'::posts', intval($msgID));
			
			/* Update Followers */
			$len = $redis->llen('uid::'.$author_id.'::followers');
			$follower = $redis->lrange('uid::'.$author_id.'::followers', 0, $len);
			if ($follower != NULL)
				foreach ($follower as $f) {
					$redis->lpush('uid::'.$f.'::posts', intval($msgID));
				}
			
			/* Update history */
			$redis->lpush('global::History', $msgID);
			$redis->ltrim('global::History', 0, 1000);
		} catch (Exception $e) {
			return (false);
		}
		return (true);
	}
	
	function		message_getMessagesForThisUser($redis, $uid, $offset, $count)
	{
		$msg = array();
		try {
			$msg_id = $redis->lrange('uid::'.intval($uid).'::posts', intval($offset), intval($offset + $count));
		} catch (Exception $e) {
			return 'nop';
		}
		foreach ($msg_id as $id) {
			$blob = $redis->get('post::'.$id);
			if ($blob) {
				$blob = explode('|', $blob, 3);
				$msg[] = array('author_id' => intval($blob[0]),
								'author_login' => $redis->get('uid::'.intval($blob[0]).'::login'),
								'author_avatar' => $redis->get('uid::'.intval($blob[0]).'::avatar'),
								'time' => $blob[1],
								'msg' => $blob[2]);
			}
		}
		
		return ($msg);
	}
	
	function		message_getMessagesHistory($redis, $offset, $count)
	{
		$msg = array();
		try {
			$msg_id = $redis->lrange('global::History', intval($offset), intval($offset + $count));
		} catch (Exception $e) {
			return 'nop';
		}
		foreach ($msg_id as $id) {
			$blob = $redis->get('post::'.$id);
			if ($blob) {
				$blob = explode('|', $blob, 3);
				$msg[] = array('author_id' => intval($blob[0]),
								'author_login' => $redis->get('uid::'.intval($blob[0]).'::login'),
								'author_avatar' => $redis->get('uid::'.intval($blob[0]).'::avatar'),
								'time' => $blob[1],
								'msg' => $blob[2]);
			}
		}
		
		return ($msg);
	}
?>

