<?php
	@session_start();
	require_once ('./includes/settings.php');
	if (@$_SESSION['uid'] > 0) {
		if ($settings_urlrewriting)
			header('Location: '.$settings_baseurl.'home');
		else
			header('Location: '.$settings_baseurl.'user.php');
		exit(0);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis</title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/theme.css">
		<link rel="stylesheet" type="text/css" href="./css-js/shadowbox.css">
		<script type="text/javascript" src="./css-js/shadowbox.js"></script>
		<script>
			Shadowbox.init({
				handleOversize: "drag",
				modal: true,
				initialWidth: '300px'
			});

			$(function() {
				$( "input:submit, button", ".account_box" ).button();
			});
			
			$(document).ready(function () {
				// Username validation logic
				var	fieldEmail = false;
				var	fieldLogin = false;
				var	fieldFullName = false;
				var validateEmail = $('#validateEmail');
				var validateUsername = $('#validateUsername');
				var validateFullname = $('#validateFullname');
				$("#btn_createaccount").attr("disabled", true);
		    
		    $('#email').change(function () {
		        var t = this;
		        // only run the check if the username has actually changed - also means we skip meta keys
		        if (this.value != this.lastValue) {
		            if (this.timer) clearTimeout(this.timer);
		            validateEmail.removeClass('error').html('<img src="./images/icons/ajax-loader.gif" height="16" width="16" />');
		            this.timer = setTimeout(function () {
		                $.ajax({
		                    url: './events.php',
		                    data: 'action=emailIsFree&email=' + t.value,
		                    dataType: 'json',
		                    type: 'post',
		                    success: function (j) {
		                    	if (j.result == 'false') {
		                        	validateEmail.removeClass('error').html('<img src="./images/icons/cross.png" border="0" />');
		                        	$("#btn_createaccount").attr("disabled", true);
		                        } else {
		                        	validateEmail.removeClass('error').html('<img src="./images/icons/tick.png" border="0" />');
		                        	fieldEmail = true;
		                        	if (fieldEmail && fieldLogin &&	fieldFullName)
		                        		$("#btn_createaccount").attr("disabled", false);
		                        }
		                    }
		                });
		            }, 200);
		            this.lastValue = this.value;
		        }
		      });
		      
		      $('#username').change(function () {
		        var t = this; 
		        // only run the check if the username has actually changed - also means we skip meta keys
		        if (this.value != this.lastValue) {      
		            if (this.timer) clearTimeout(this.timer);
		            validateUsername.removeClass('error').html('<img src="./images/icons/ajax-loader.gif" height="16" width="16" />');
		            this.timer = setTimeout(function () {
		                $.ajax({
		                    url: './events.php',
		                    data: 'action=loginIsFree&login=' + t.value,
		                    dataType: 'json',
		                    type: 'post',
		                    success: function (j) {
		                    	if (j.result == 'false') {
		                        	validateUsername.removeClass('error').html('<img src="./images/icons/cross.png" border="0" />');
		                        	$("#btn_createaccount").attr("disabled", true);
		                        } else {
		                        	validateUsername.removeClass('error').html('<img src="./images/icons/tick.png" border="0" />');
		                        	fieldLogin = true;
		                        	if (fieldEmail && fieldLogin &&	fieldFullName)
		                        		$("#btn_createaccount").attr("disabled", false);
		                        }
		                    }
		                });
		            }, 200);
		            this.lastValue = this.value;
		        }
		      });
		      
		      $('#fullname').change(function () {
		        var t = this; 
		        // only run the check if the username has actually changed - also means we skip meta keys
		        if (this.value != this.lastValue) {      
		            if (this.timer) clearTimeout(this.timer);
		            validateFullname.removeClass('error').html('<img src="./images/icons/ajax-loader.gif" height="16" width="16" />');
		            this.timer = setTimeout(function () {
		                $.ajax({
		                    url: './events.php',
		                    data: 'action=fullnameValid&fullname=' + t.value,
		                    dataType: 'json',
		                    type: 'post',
		                    success: function (j) {
		                    	if (j.result == 'false') {
		                        	validateFullname.removeClass('error').html('<img src="./images/icons/cross.png" border="0" />');
		                        	$("#btn_createaccount").attr("disabled", true);
		                        } else {
		                        	validateFullname.removeClass('error').html('<img src="./images/icons/tick.png" border="0" />');
		                        	fieldFullName = true;
		                        	if (fieldEmail && fieldLogin &&	fieldFullName)
		                        		$("#btn_createaccount").attr("disabled", false);
		                        }
		                    }
		                });
		            }, 200);
		            this.lastValue = this.value;
		        }
		      });
		      
		   });
		</script>
	</head>
	<body>
		<div class="account_box" style="position: absolute; right:10px;">
			<form id="form_signin" name="form_signin"  method="POST" action="<?php if ($settings_urlrewriting == false) { ?>./login.php<?php } else { ?>/signin<?php } ?>">
				<input style="background-image:url('./images/icons/status_online.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px;" class="text ui-widget-content ui-corner-all" type="text" name="login" value="<?php echo htmlentities(@$_GET['l']); ?>" />
				<input style="background-image:url('./images/icons/lock.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px;" class="text ui-widget-content ui-corner-all" type="password" name="password" value="" />
				<input style="top: -1px" type="submit" value="Sign in" />
				<br/>
				<div style="width:100%; text-align:right; margin-top:5px"><b><a rel="shadowbox[Password]" title="Request new Password" style="text-decoration:none;" href="./request_resetpass.php">Forgot password?</a></b>&nbsp;&nbsp;</div>
			</form>
			<?php if (@$_SESSION['error'] != '') { ?>
				<div style="font-size: 16px; font-weight: bold; text-align:center; width:100%; color:rgb(255,0,0);">Oops: <?php echo $_SESSION['error']; ?></div>
			<?php @$_SESSION['error'] = ''; } ?>
		</div>
		<div class="account_box" style="position: absolute; right:90px; top:180px;">
			<h1 style="color: rgb(53,57,136)">Create an account</h1>
			<form id="form_register" name="form_register" method="POST" action="<?php if ($settings_urlrewriting == false) { ?>./register.php<?php } else { ?>/new_account<?php } ?>">
				<table border="0">
					<tr>
						<td><label style="font-size:11px; font-weight: bold;" for="name">Login</label></td>
						<td><input style="background-image:url('./images/icons/status_online.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="login" id="username" value="" /></td>
						<td width="20px"><span id="validateUsername"></span></td>
					</tr>
					<tr>
						<td><label style="font-size:11px; font-weight: bold;" for="name">Full name</label></td>
						<td><input style="background-image:url('./images/icons/user.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="fullname" id="fullname" value="" /></td>
						<td width="20px"><span id="validateFullname"></span></td>
					</tr>
					<tr>
						<td><label style="font-size:11px; font-weight: bold;" for="name">Email</label></td>
						<td><input style="background-image:url('./images/icons/email.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="email" id="email" value="" /></td>
						<td width="20px"><span id="validateEmail"></span></td>
					</tr>
					<tr>
						<td><label style="font-size:11px; font-weight: bold;" for="name">Password</label></td>
						<td><input style="background-image:url('./images/icons/lock.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="password" name="password" value="" /></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><input type="submit" name="btn_createaccount" id="btn_createaccount" value="Create account" /></td>
					</tr>
				</table>
			</form>
		</div>
		<div id="logo">
			<a href="."><img src="./images/logo.png" height="70px" border="0" /></a>
		</div>
		<div id="content" style="background-image:url('./images/intro_tweedis.png'); background-repeat:no-repeat;height:400px; margin-top: 50px">
			<div style="font-size: 24px; padding-top: 200px; padding-left: 280px">&ldquo;Stay in touch with your friends&rdquo;</div>
		</div>
		<div id="footer" style="margin-top: 20px; width:100% margin-left:auto; margin-right:auto; text-align:center;">
			<b>&copy;2011 Tweedis</b>
		</div>
	</body>
</html>

