<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/funct.profile.php');
	require_once ('./includes/funct.message.php');
	if (@$_SESSION['uid'] <= 0) {
		$_SESSION['uid'] = -42;
		$_SESSION['error'] = 'You are not connected';
		@header('Location: '.$settings_baseurl);
		exit(0);
	}
	
	if (@$_POST['action'] == 'send_msg') {
		try {
			$redis = new Redis($settings_redis_write_ip, $settings_redis_write_port);
		} catch (Exception $e) {
			echo 'Unable to connect to Redis database...';
			exit(-1);
		}
		message_saveMessage($redis, $_SESSION['uid'], $_POST['post_msg']);
		if ($settings_urlrewriting == false)
			header('Location: '.$settings_baseurl.'profile.php');
		else
			header('Location: '.$settings_baseurl.'profile');
		exit(1);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis :: <?php echo $_SESSION['fullname']; ?></title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/connected.css">
		<script>
			$(function() {
				$( "input:submit, input:button", ".send_msg, .follow_user" ).button();
			});
			
			$(document).ready(function () {
				var countLetter = $('#count_letters');
				
				$('#post_msg').keyup(function () {
					if ((150 - $(this).val().length) >= 0)
						countLetter.removeClass('error').html('' + (150 - $(this).val().length) + '');
					else {
						$(this).val($(this).val().substr(0, 150));
						countLetter.removeClass('error').html('0');
					}
				});
				
				$('#button_follow').click(function () {
					$.ajax({
				    		url: './events.php',
				            data: 'action=followUser&myid=<?php echo $_SESSION["uid"]; ?>&uid=<?php echo $_GET["p"]; ?>',
				            dataType: 'json',
				            type: 'post',
				            success: function (j) {
				            	alert(j.result);
				            	if (j.result == 'true') {
				               		$('#follow_user').removeClass('error').html('');
				                }
				            }
				    });
				});
			});
		</script>
	</head>
	<body>
		<header>
			<div class="container">
				<a href='.'>
					<img alt='Tweedis' height='30' src='./images/logo.png' />
				</a>
				<nav>
					<a href='<?php if ($settings_urlrewriting) { ?>/home<?php } else { ?>./user.php<?php } ?>'>Home</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/profile<?php } else { ?>./profile.php<?php } ?>'>My profile</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/settings<?php } else { ?>./settings.php<?php } ?>''>Settings</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/logout<?php } else { ?>./logout.php<?php } ?>'s>Logout</a>
				</nav>
			</div>
		</header>
		<div id="div_content" style="margin-top: -25px;">
			<h1 style="color: rgb(53,57,136)">&nbsp;&nbsp;My profile</h1>
			<br/>
			<?php
				try {
					$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
				} catch (Exception $e) {
					echo 'Unable to connect to Redis database...';
					exit(-1);
				}
				
				if (@$_GET['p'] > 0) {
					$profile_info = profile_getProfileInformations($redis, $_GET['p']);
					$message_info = profile_getCountMsgFollow($redis, $_GET['p']);
				} else {
					$_GET['p'] = $_SESSION['uid'];
					$profile_info['fullname'] = $_SESSION['fullname'];
					$profile_info['login'] = $_SESSION['login'];
					$profile_info['email'] = $_SESSION['email'];
					$profile_info['avatar'] = $_SESSION['avatar'];
					$message_info = profile_getCountMsgFollow($redis, $_GET['p']);
					profile_getMyFollowing($redis, $_GET['p']);
				}
			?>
			<table border="0" width="100%">
				<tr>
					<td rowspan="3" width="150px" valign="top"><img src="<?php echo $profile_info['avatar']; ?>" border="0" width="150px"/></td>
					<td>&nbsp;&nbsp;&nbsp;&nbsp;<font size="6"><i><?php echo $profile_info['fullname']; ?></i></font></td>
				</tr>
				<tr>
					<td>
						<br/>
						<table border="0" width="100%">
							<tr>
								<td width="150px">
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<img src="./images/icons/lightning.png" border="0" /> <b>Nb posts:</b>
								</td>
								<td><?php echo $message_info['nb']; ?></td>
								<td style="min-width: 300px" rowspan="4" align="left" valign="top">
									<div style="padding-left: 40px; padding-right: 20px;">
										<i>"About you"</i>
									</div>
								</td>
							</tr>
							<tr>
								<td>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<img src="./images/icons/transmit.png" border="0" /> <b>Following:</b>
								</td>
								<td><?php echo $message_info['following']; ?></td>
							</tr>
							<tr>
								<td>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<img src="./images/icons/transmit_blue.png" border="0" /> <b>Followers:</b>
								</td>
								<td><?php echo $message_info['followers']; ?></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<?php
				if ($_GET['p'] > 0 && $_GET['p'] != $_SESSION['uid']) {
					if (profile_isFollowing($redis, $_SESSION['uid'], $_GET['p']) === false) {
					?>
						<div style="border:none; position: absolute; right: 20px; top: 230px;" class="follow_user" id="follow_user">
							<input id="button_follow" style="text-decoration: none; border: none;" type="button" value="Follow <?php echo htmlentities($profile_info['login']); ?>" />
						</div>
					<?php
					}
				}
			?>
			<hr/><br/>
			<?php if ($_GET['p'] <= 0 || $_GET['p'] == $_SESSION['uid']) { ?>
				<div style="width: 400px; margin-left:auto;margin-right:auto;text-align:left;">
					<font size="4"><b>What's up ?</b></font>
					<form class="send_msg" id="send_msg" method="POST" action="<?php if ($settings_urlrewriting == false) { ?>./profile.php<?php } else { ?>/profile<?php } ?>" >
						<table border="0" width="0">
							<tr>
								<td rowspan="3">
									<textarea style="resize:none;" class="text ui-widget-content ui-corner-all" autocomplete="off" name="post_msg" id="post_msg" rows="5" cols="34"></textarea>
								</td>
								<td>&nbsp;&nbsp;&nbsp;&nbsp;<span style="font-weight: bold; font-size: 31px" id="count_letters">150</span></td>
							</tr>
							<tr>
								<td style="width:100%; height:100%" valign="bottom"><input style="position:relative;" type="submit" value="Send" /></td>
							</tr>
						</table>
						<input type="hidden" name="action" value="send_msg" />
					</form>
				</div>
				<br/>
			<?php } ?>
			<?php
				if (!$redis) {
					try {
						$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
					} catch (Exception $e) {
						echo 'Unable to connect to Redis server...';
						exit(-1);
					}
				}
				$user_msg = message_getMessagesForThisUser($redis, $_GET['p'], 0, 30);
				$nb_elem = sizeof($user_msg);
				for ($i = 0; $i < $nb_elem; ++$i) {
				?>
					<div style="display: block; min-height: 50px">
						<a href="<?php if ($settings_urlrewriting) { ?>/profile/<?php echo $user_msg[$i]['author_id']; } else { ?>./profile.php?p=<?php echo $user_msg[$i]['author_id']; } ?>"><img height="60px" src="<?php echo $user_msg[$i]['author_avatar']; ?>" border="0" title="<?php echo htmlentities($user_msg[$i]['author_login']); ?>" alt="<?php echo htmlentities($user_msg[$i]['author_login']); ?>" align="left" /></a>
						<p>
							<i><?php echo date("Y-m-d \a\\t h:i", $user_msg[$i]['time']); ?></i> <br/>
							<font style="font-style: italic; font-size: 18px; font-weight: bold;"><?php echo htmlentities($user_msg[$i]['author_login']); ?>: </font>
							<?php echo htmlentities($user_msg[$i]['msg']); ?>
						</p>
					</div>
				<?php
				}
			?>
		</div>
	</body>
</html>

