<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.tool.php');
	require_once ('./includes/funct.register.php');
	require_once ('./includes/funct.login.php');

	if (isset($_POST['fullname']) && isset($_POST['email']) && isset($_POST['password']) && isset($_POST['login'])) {
		/* Sanitize variables */
		$_POST['fullname'] = trim($_POST['fullname']);
		$_POST['login'] = trim($_POST['login']);
		$_POST['email'] = trim($_POST['email']);
		$_POST['password'] = trim($_POST['password']);
		$_POST['fullname'] = @eregi_replace("[^A-Za-z0-9\ \-]", '', $_POST['fullname']);

		/* Check variables & Register account */
		if (register_loginIsValid($_POST['login']) == true) {
			if (strlen($_POST['password']) > 4) {
				if (register_emailIsValid($_POST['email']) === true) {
					try {
						$redis = new Redis($settings_redis_write_ip, $settings_redis_write_port);
						if ($settings_redis_password !== false)
							$redis->auth($settings_redis_password);
					} catch (Exception $e) {
						echo 'Unable to connect to Redis Database...';
						exit(-1);
					}
					if (register_emailIsFree($redis, $_POST['email']) === true) {
						/* Create account */
						register_createAccount($redis, $_POST['fullname'], $_POST['email'], $_POST['password'], $_POST['login']);
						
						/* Open Session and redirect to right page */
						login_openSession($redis, $_POST['login'], $_POST['password']);
						header('Location: '.$settings_baseurl);
						exit(0);
					}
					else
						echo 'Account email already taken!';
				}
				else
					echo 'Invalid email';
			}
			else
				echo 'Password too short';
		}
		else
			echo 'Invalid Login';
	}
?>

