<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.tool.php');
	require_once ('./includes/funct.register.php');
	require_once ('./includes/funct.login.php');
	require_once ('./includes/funct.account.php');
	
	if (@$_SESSION['uid'] > 0) {
		if ($settings_urlrewriting)
			header('Location: '.$settings_baseurl.'home');
		else
			header('Location: '.$settings_baseurl.'user.php');
		exit(0);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis - Reset Password</title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/theme.css">
		<script>
			$(function() {
				$( "input:submit, button", ".reset_box" ).button();
			});
		</script>
	</head>
	<body>
		<table width="100%" height="100%">
			<tr>
				<td align="center" valign="center">
					<div>
						<?php if (@$_POST['action'] != 'reset') { ?>
							<form class="reset_box" method="POST" action="./request_resetpass.php">
								<font size="4px">
									You have lost your password?<br/>
									You can reset your old password simply.<br/>
									Just enter your email and click button...
								</font>
								<br/><br/>
								<input type="hidden" name="action" value="reset"/>
								<input type="text" name="email" class="text ui-widget-content ui-corner-all" style="background-image:url('./images/icons/email.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" />
								<br/><br/>
								<input type="submit" value="Request a reset password token" />
							</form>
						<?php } else if (@$_POST['action'] == 'reset') { 
							try {
								$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
								if ($settings_redis_password !== false)
									$redis->auth($settings_redis_password);
							} catch (Exception $e) {
								echo 'Unable to connect to Redis...';
							}
							
							$token = account_generatePasswordResetToken($redis, $_POST['email']);
							if ($token)
								tool_sendRequestResetPassword($token, $_POST['email'])
						?>
							<font size="4px">
								You will receive an email within 10 minutes <br/>
								with a link to reset your password !
								<br/><br/><br/><br/>
								<font size="3px">(you can close this window)</font>
							</font>
						<? } ?>
					</div>
				</td>
			</tr>
		</table>
	</body>
</html>

