<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.account.php');

	if (@$_SESSION['uid'] <= 0) {
		$_SESSION['uid'] = -42;
		$_SESSION['error'] = 'You are not connected';
		header('Location: '.$settings_baseurl);
		exit(0);
	}
	if (@$_POST['action'] == 'update_profile') {
		try {
			$redis = new Redis($settings_redis_write_ip, $settings_redis_write_port);
		} catch (Exception $e) {
			echo 'Unable to connect to Redis Database...';
			exit(-1);
		}
		account_updateAllInformation($redis, $_SESSION['uid'], $_POST['fullname'], $_POST['email'], $_POST['avatar'], $_POST['password_current'], $_POST['password_new']);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis :: <?php echo $_SESSION['fullname']; ?></title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/connected.css">
		<script>
			$(function() {
				$( "input:submit, button", ".edit_account" ).button();
			});
			
			$(document).ready(function () {
				var	fieldEmail = false;
				var	fieldFullName = false;
				var validateEmail = $('#validateEmail');
				var validateFullname = $('#validateFullname');
			
				$('#avatar').change(function () {
					var t = this;
					$('#preview_img').attr('src', t.value);
				});
			
				$('#email').change(function () {
		        var t = this;
		        // only run the check if the username has actually changed - also means we skip meta keys
		        if (this.value != this.lastValue) {
		            if (this.timer) clearTimeout(this.timer);
		            validateEmail.removeClass('error').html('<img src="./images/icons/ajax-loader.gif" height="16" width="16" />');
		            this.timer = setTimeout(function () {
		                $.ajax({
		                    url: './events.php',
		                    data: 'action=emailIsValid&email=' + t.value,
		                    dataType: 'json',
		                    type: 'post',
		                    success: function (j) {
		                    	if (j.result == 'false') {
		                        	validateEmail.removeClass('error').html('<img src="./images/icons/cross.png" border="0" />');
		                        } else {
		                        	validateEmail.removeClass('error').html('<img src="./images/icons/tick.png" border="0" />');
		                        	fieldEmail = true;
		                        }
		                    }
		                });
		            }, 200);
		            this.lastValue = this.value;
		        }
		      });
		      
		      $('#fullname').change(function () {
		        var t = this; 
		        // only run the check if the username has actually changed - also means we skip meta keys
		        if (this.value != this.lastValue) {      
		            if (this.timer) clearTimeout(this.timer);
		            validateFullname.removeClass('error').html('<img src="./images/icons/ajax-loader.gif" height="16" width="16" />');
		            this.timer = setTimeout(function () {
		                $.ajax({
		                    url: './events.php',
		                    data: 'action=fullnameValid&fullname=' + t.value,
		                    dataType: 'json',
		                    type: 'post',
		                    success: function (j) {
		                    	if (j.result == 'false') {
		                        	validateFullname.removeClass('error').html('<img src="./images/icons/cross.png" border="0" />');
		                        } else {
		                        	validateFullname.removeClass('error').html('<img src="./images/icons/tick.png" border="0" />');
		                        	fieldFullName = true;
		                        }
		                    }
		                });
		            }, 200);
		            this.lastValue = this.value;
		        }
		      });
		    });
		</script>
	</head>
	<body>
		<header>
			<div class="container">
				<a href='.'>
					<img alt='Tweedis' height='30' src='./images/logo.png' />
				</a>
				<nav>
					<a href='<?php if ($settings_urlrewriting) { ?>/home<?php } else { ?>./user.php<?php } ?>'>Home</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/profile<?php } else { ?>./profile.php<?php } ?>'>My profile</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/settings<?php } else { ?>./settings.php<?php } ?>''>Settings</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/logout<?php } else { ?>./logout.php<?php } ?>'s>Logout</a>
				</nav>
			</div>
		</header>
		<div id="div_content" style="margin-top: -25px;">
			<h1 style="color: rgb(53,57,136)">&nbsp;&nbsp;Account settings</h1>
			<?php
				try {
					$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
					if ($settings_redis_password !== false)
						$redis->auth($settings_redis_password);
				} catch (Exception $e) {
					echo 'Unable to connect to Redis Database...';
					exit(-1);
				}
				
				$account_info = account_getAllInformation($redis, $_SESSION['uid']);
			?>
			<br/>
			<?php if (isset($_SESSION['error']) && $_SESSION['error'] != '') { ?>
				<br/>
				<div style="font-weight: bold; padding-left: 20px; padding-right: 20px; width: 400px; margin-right: auto; margin-left:auto; background-color: rgb(255,200,200); color:rgb(255,0,0);">
					<br/>
					<?php echo $_SESSION['error']; $_SESSION['error']= ''; ?>
					<br/>
				</div>
				<br/><br/>
			<?php } ?>
			<form method="POST" action="<?php if ($settings_urlrewriting == false) { ?>./settings.php<?php } else { ?>/settings<?php } ?>" class="edit_account">
				<input type="hidden" name="action" value="update_profile" />
				<table align="center" border="0">
					<tr>
						<td width="200px"><b>Account login</b></td>
						<td><b><i><?php echo $account_info['login']; ?></i></b></td>
					</tr>
					<tr>
						<td width="200px"><b>Create date</b></td>
						<td><b><i><?php echo date("Y-m-d (H:i)", $account_info['createtime']); ?></i></b></td>
					</tr>
					<tr>
						<td><br/></td>
					</tr>
					<tr>
						<td width="200px"><b>Full name</b></td>
						<td><input style="background-image:url('./images/icons/user.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="fullname" id="fullname" value="<?php echo $account_info['fullname']; ?>" /></td>
						<td width="20px"><span id="validateFullname"></span></td>
					</tr>
					<tr>
						<td width="200px"><b>Email</b></td>
						<td><input style="background-image:url('./images/icons/email.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="email" id="email" value="<?php echo $account_info['email']; ?>" /></td>
						<td width="20px"><span id="validateEmail"></span></td>
					</tr>
					<tr>
						<td width="200px"><b>Avatar</b></td>
						<td><b><i><input style="background-image:url('./images/icons/image.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="avatar" id="avatar" value="<?php if ($account_info['avatar'] == '') echo 'http://'; else echo $account_info['avatar']; ?>" /></i></b></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><img id="preview_img" src="<?php echo $account_info['avatar']; ?>" title="Your avatar" alt="[avatar]" border="0" height="120" /></td>
					</tr>
					<tr>
						<td width="200px"><b>Current Password</b></td>
						<td><b><i><input style="background-image:url('./images/icons/lock.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="password_current" id="password" value="" /></i></b></td>
					</tr>
					<tr>
						<td width="200px"><b>New Password</b></td>
						<td><b><i><input style="background-image:url('./images/icons/lock.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="password_new" id="password" value="" /></i></b></td>
					</tr>
					<tr>
						<td><br/></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><input type="submit" value="Save settings" style="width: 150px; font-size: 12px; height: 25px;" /></td>
					</tr>
				</table>
			</form>
		</div>
	</body>
</html>

